## Lemurian
Adds a playable Lemurian to the Game

##Disclamier
** Join my Discord for discussion about Lemurian and Imp: https://discord.gg/4VHwN3k **

Now with configuration setting for 3 skins

## Multiplayer
- There shouldn't be any more isses

##Fire Buff, Gameplay and Tips
As a master of fire, the Lemurian is able to build up a buff that increases the chance to ignite enemies on hit. Every stack increases the chance for 1%. 
Some abilities also gain a damage buff in different kind of ways. You gain a Fire Buff stack for every enemy hit, that lasts for 15 seconds.
The Lemurian also gets faster with each Fire Buff stack.


## Abilities
**Primary**
`Fireball:` (0,45s base duration)
Shoot a fireball that deals 175% damage. 
- Projectile speed scales with Fire Buff stacks (base speed = 75, every stack increases it by 1, so 75 stacks double the speed)

`Fire Roar:` (0.75s base duration)
Fire 3 consecutive explosions in front of you, dealing 150% damage each. Gain Armor boost while using. 
- Explosions are cast at 2,5m - 5m - 7,5m fixed distance with a 2,5m base blast radius, that increases with more Fire Buff stacks (100 stacks = 2,5m -> 5m)
- You can still sprint while using this ability, also grants healing buff on third explosion, when hitting enemies

`Laser:` (5 ticks/s)
Fire a laser that deals 60% damage each tick. Explodes on impact within a 3m radius.
- Scaled to not grant a Fire Buff stack on every hit. (base every 0,5s, that shortens with more attack speed you have)
- has a small aim support

**Secondary**
`Fireballs:` (0,3s base duration - 5s cooldown)
Shoot 5 Fire Balls that deal 300% damage each. 
- Projectiles spread horizontally and have a 2.5m blast radius

`Flameburst:` (0,5s base duration - 5s cooldown)
Fire 5 fast Fire Balls that deal 200% damage each. Shoot more balls the more Fire Buff stacks you have (1 ball for every 15 stacks - Maximum 10 bullets). 
- Projectiles have no spread and a 2.5m blast radius

`Exploding Fire Ball:` (0,5s base duration - 3s cooldown - base charge count = 2)
Fire a fire ball that explodes on hit, dealing 500% damage within a 10m radius. 
- Projectile is affected by gravity

**Utility**
`Fiery Leap:` (... - 5s cooldown)
Leap to the enemy and and burn the ground on impact. The impact does 500% damage and pulls enemies into the burning zone and slows them down. Every tick does 50% damage (15 Ticks in 3s - leading up to possible 1250% damage). 
- Has a 12,5m impact blast radius

`Detonation:` (... - 7,5s cooldown)
Cast an explosion that deals 1250% damage in a 1m - 12,5m radius (75m maximum distance).
- Radius starts at 1m and grows to 12,5m in 2s. Attackspeed lowers the time to a minimum of 0,5s

**Special**
`Flamebreath:` (2,5s base duration - 7.5s cooldown)
Fire a flamebreath that deals 50% damage per tick for 2,5 seconds (20 ticks/s). Every Firebuff stack increases the tick count. Every bullet fired increases the ignite percentage by 1%. Gain armor boost while using Flamebreath. (35m maximum distance)
- You get slowed down while firing, but also gain an armor boost and more charactermass to better withstand enemy attacks
- Hold down button for use, cancelled by releasing button

`Explosion:` (2s base charge duration - 8s cooldown)
Explode and deal 2500% damage in a 20m radius. Damage and radius increase (1% damage and 0.1m radius) for every Fire Buff stack.
- Charge duration reduces with attack speed
- You get slowed down while charging up, but also gain an armor boost and more charactermass to better withstand enemy attacks

`Summon` (15s duration - 25s cooldown)
Summon a horde of Lemurians that help you for 15s.
- The base damage of the Lemurians is 50% of your own damage stat and increases with Fire Buff Stacks (1% for every Fire Buff stack)
- They are also able to crit, based on your crit percentage


## Known Issues
- `Flame Breath` on client in multiplayer has a little lag regarding projectile spawnlocation, on static enemies this doesn't really matter though
- `Summon`ed Lemurians may need to be attacked first to fight back 

##To Do
- i don't know right now

## Changelog

`7.0.1`
- cleaned up code (nothing you should notice)
- item displays are back :)
- fixed void cells not spawning items when Lemurian was loaded (hopefully)
- changed some aim preview settings on secondary `Exploding Fire Ball`
- tewaked primary `Fire Roar` base duration reduced 1s -> 0,75s, changed timing of explosions a little bit, lowerd scaling now only needs 100 Fire Buff stacks to double size instead of 200 
- added a litte bonus to movement speed for each fire buff stack
- added config for skins

`7.0.0`
- fixed for anniversary update
- remember: - added support for [BetterUI](https://thunderstore.io/package/XoXFaby/BetterUI/)

`6.1.3`
(never released)
- added aim prediction line to `Exploding Fire Ball` (third secondary)
- added support for [BetterUI](https://thunderstore.io/package/XoXFaby/BetterUI/)
- `Fire Ball` base speed increased from 100 to 125
- removed Transformation

`6.1.2`
- changed some `Flame Breath` effects

`6.1.0`
- base crit chance now 1%
- changed `Summon` behaviour, instead of more minions, the 5 minions will get stronger. also made them little, duration and cooldown increased to 15s and 25s
- added keywords, descriptions, lore, ending message and tips
- added Lunar Skin



## Big Thanks
**Thanks to the whole developer community for helping me with stupid things!**
And for helping me fix stuff, Item Displays and and and... thanks to [Rob](https://thunderstore.io/package/rob/).
Also thanks to xoxfaby for [BetterUI](https://thunderstore.io/package/XoXFaby/BetterUI/), and thanks to [KingEnderBrine](https://thunderstore.io/package/KingEnderBrine/), for giving me tips and helping me set up dependency stuff in this case.
